﻿-----------------------------------------------------------------------
-- Locale
-----------------------------------------------------------------------
local L = AceLibrary("AceLocale-2.2"):new("Violation: DamageTaken")

L:RegisterTranslations("enUS", function() return {
	["Damage taken"] = true,
	["DT"] = true,
} end)

L:RegisterTranslations("zhCN", function() return {
	["Damage taken"] = "承受伤害",
	["DT"] = "承受伤害(DT)",
} end)

L:RegisterTranslations("zhTW", function() return {
	["Damage taken"] = "承受傷害",
	["DT"] = "承受傷害(DT)",
} end)

L:RegisterTranslations("koKR", function() return {
	["Damage taken"] = "받은 피해량",
} end)

L:RegisterTranslations("frFR", function() return {
	["Damage taken"] = "Dégâts reçus",
	["DT"] = "DR",
} end)

-----------------------------------------------------------------------
-- Locals
-----------------------------------------------------------------------

local moduleName = "Damage taken"
local parserEvent = {
	eventType_in = {
		Damage = true,
		Environmental = true,
	},
	recipientID_not = false,
}

-----------------------------------------------------------------------
-- Module declaration
-----------------------------------------------------------------------

local mod = Violation:NewModule(moduleName)
mod.revision = tonumber(("$Revision: 60394 $"):sub(12, -3)) or 1
mod.version = 5
mod.violationCategory = "damage"

-----------------------------------------------------------------------
-- Module initialization
-----------------------------------------------------------------------

function mod:OnModuleEnable()
	self:RegisterParserEvent( parserEvent, "OnParserEvent")
end

-----------------------------------------------------------------------
-- Module implementation
-----------------------------------------------------------------------

function mod:GetDisplayName() return L["Damage taken"] end
function mod:GetShortDisplayName() return L["DT"] end

function mod:OnParserEvent( info )
	local victim, amount = select(2, self:GetSourceVictimAmount(info))
	if victim and amount > 0 and self:AcceptDataFor(victim) then
		self:OnData(victim, amount)
	end	
end
